Skip to content

realtime_presence_update

Update a presence member's info and/or refresh its TTL

Tool

realtime_presence_update

Update a presence member's info and/or refresh its TTL

Update a presence member's info and/or refresh its TTL

Behavior

HTTP
POST /realtime/presence/update

Arguments

Name
Type
Required
Description
info
string
—
Arbitrary JSON metadata for the member (<=10KB serialized)
channel
string
•
Channel name, "namespace:rest"
member_id
string
—
Act for a synthetic member id instead of the caller identity (backend integrations)
ttl_seconds
integer
—
Presence entry TTL in seconds (1-3600)

Response

Field
Type
Always
Description
member
object
•
The entered/updated member
channel
string
•
Channel name

Try it

Update a presence member's info and/or refresh its TTL.

When to use

Update a presence member's info and/or refresh its TTL

Example

Ask your agent something like this:

Update a presence member's info and/or refresh its TTL.

The agent will invoke realtime_presence_update with these arguments:

{
  "channel": "<channel>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select